/*
 * Class IMMUTABLE_STRING_32
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_924 [] = {0xFF01,1551,923,0xFFFF};
static const EIF_TYPE_INDEX egt_2_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_3_924 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_924 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_6_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_7_924 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_924 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_924 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_13_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_924 [] = {0xFF01,2,0xFFFF};
static const EIF_TYPE_INDEX egt_16_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_18_924 [] = {0xFF01,912,0xFFFF};
static const EIF_TYPE_INDEX egt_19_924 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_20_924 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_21_924 [] = {0xFF01,922,0xFFFF};
static const EIF_TYPE_INDEX egt_22_924 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_23_924 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_24_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_25_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_26_924 [] = {0xFF01,1578,0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_27_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_28_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_29_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_30_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_31_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_32_924 [] = {0xFF01,354,0xFFFF};
static const EIF_TYPE_INDEX egt_33_924 [] = {0xFF01,591,0xFFFF};
static const EIF_TYPE_INDEX egt_34_924 [] = {0xFF01,453,0xFFFF};
static const EIF_TYPE_INDEX egt_35_924 [] = {0xFF01,452,0xFFFF};
static const EIF_TYPE_INDEX egt_36_924 [] = {0xFF01,88,0xFFFF};
static const EIF_TYPE_INDEX egt_37_924 [] = {0xFF01,104,0xFFFF};
static const EIF_TYPE_INDEX egt_38_924 [] = {0xFF01,578,0xFFFF};
static const EIF_TYPE_INDEX egt_39_924 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_40_924 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_41_924 [] = {842,0xFFFF};
static const EIF_TYPE_INDEX egt_42_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_43_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_44_924 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_45_924 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_46_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_47_924 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_48_924 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_49_924 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_50_924 [] = {0xFF01,2050,842,0xFFFF};
static const EIF_TYPE_INDEX egt_51_924 [] = {0xFF01,923,0xFFFF};


static const struct desc_info desc_924[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_924), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_924), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23074, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_924), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23113, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_924), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_924), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_924), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_924), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_924), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_924), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_924), 23091, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_924), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_924), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0737 /*923*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_924), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23056, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 23116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 23114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_924), 22822, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_924), 22823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23081, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23103, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23083, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23084, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22759, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23071, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23068, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23069, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_924), 22780, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_924), 22781, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_924), 22782, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_924), 22783, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_924), 22784, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_924), 22785, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_924), 22786, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_924), 22787, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_924), 22788, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_924), 23120, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_924), 23121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 22789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 22790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 22793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 22794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 22795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 22796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 22797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 22798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 22799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 22800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 22801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 22802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22803, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_924), 22804, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_924), 23118, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_924), 23122, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_924), 22805, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_924), 22806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22807, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_924), 23104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22808, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_924), 23092, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_924), 22809, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_924), 22810, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_924), 22811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_924), 22812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_924), 22813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22814, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22815, 8},
	{EIF_GENERIC(egt_38_924), 22816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 23114, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_924), 23073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22827, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_924), 11022, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_924), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_924), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_924), 6340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23108, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23060, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23061, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 23115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23062, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_924), 23066, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_924), 23067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23077, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23085, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23086, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23090, 0xFFFFFFFF},
	{EIF_GENERIC(egt_46_924), 23119, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23093, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23094, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23096, 0xFFFFFFFF},
	{EIF_GENERIC(egt_47_924), 23097, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23106, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23071, 12},
	{EIF_GENERIC(NULL), 23107, 0xFFFFFFFF},
	{EIF_GENERIC(egt_48_924), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23110, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23111, 0xFFFFFFFF},
	{EIF_GENERIC(egt_49_924), 23101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_50_924), 23102, 0xFFFFFFFF},
	{EIF_GENERIC(egt_51_924), 23105, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23106, 16},
};
void Init924(void)
{
	IDSC(desc_924, 0, 923);
	IDSC(desc_924 + 1, 1, 923);
	IDSC(desc_924 + 32, 700, 923);
	IDSC(desc_924 + 34, 1106, 923);
	IDSC(desc_924 + 129, 1570, 923);
	IDSC(desc_924 + 132, 1088, 923);
	IDSC(desc_924 + 134, 1459, 923);
	IDSC(desc_924 + 138, 939, 923);
	IDSC(desc_924 + 141, 261, 923);
	IDSC(desc_924 + 169, 617, 923);
	IDSC(desc_924 + 171, 837, 923);
}


#ifdef __cplusplus
}
#endif
